SQL Server 2005 Express (December Community Technology Preview) is now available

“SQL Server 2005 Express December CTP” is the second community technology preview release of SQL Express 2005 (the first one was in October). The instructions and corresponding CTP executable can be downloaded from here. At this download page, you will find important and detailed install and uninstall instructions, please ensure to follow them carefully to ensure smooth experience in installing this CTP. In addition, there are links to useful information such as SQL Express Books Online, newsgroup discussion, bug reporting instructions, and a new light-weight tool (Express Manager – see a separate post coming soon regarding this release) to manage SQL Server Express and other SQL skus.

CTP is our way of providing the latest bits of SQL Express to the community. However it should be noted that these bits are not as rigorously tested as our Beta2 bits. So, if you are looking for stable and well tested pre-RTM release of SQL Express, please use the beta2 version that can be found here.

Important: If you are installing any of the Microsoft Visual Studio 2005 products (such as Microsoft Visual C++, Microsoft Visual C#, Microsoft Visual J#, Microsoft Visual Basic, or Microsoft Visual Web Developer Express edition), make sure you install only the version of SQL Server Express Edition that is included as part of the Visual Studio 2005 setup. Do not use the December CTP release of SQL Server Express Edition in an environment that contains Visual Studio 2005. This December CTP release of SQL Server Express Edition is intended only for users of the stand-alone release of SQL Server Express Edition.


Ajay Manchepalli

SQL Express Release Program Manager

Comments (6)

  1. Some answers on the December 2004 SSX CTP

  2. Maurice says:

    I can’t seem to install your latest version of

    SQL Express. I removed all my installations of

    .NET framework and the previous beta of SQL Express and when I attempt to install the December version the installation still thinks

    the older version exist. Is there way to make

    sure the previous installation is completely

    removed ?

  3. Arian says:

    I am having the same issue as Maurice (12/9). Though I’ve never even installed a prior build (new laptop) it is complaining. I have VS 2003 installed, but nothing else. Initially it complained that .NET 2.0 needed to be installed. When I installed .NET 2.0 it now says that incompatible software exists — and .NET 2.0 is listed as a potential! It would be handy if it could spell out which older version of what is installed. Any help would be appreciated!

  4. Arian says:

    I take it back. I found the info in the first feedback’s link. It’s not sufficient to install .NET Beta 1 — only v2.0.40903.27 will do

    (http://download.microsoft.com/download/9/A/4/9A47D72B-9D98-46CC-87F3-B92E97888E4B/dotnetfx.exe). So Beta 1 is the incompatible previous release. Ah the joys of pre-release software!